Active Steward API 1.0¶
Servers¶
| Description | URL |
|---|---|
| Your Company's Active Steward Instance | /ActiveSteward |
Submissions¶
GET /api/submissions/{id}¶
Get a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"A",
"B",
"C",
"D",
"E",
"F",
"G",
"H",
"I",
"J",
"K",
"L",
"M",
"N",
"O",
"P",
"Q",
"R",
"S",
"T",
"U",
"V",
"W",
"X",
"Y",
"K_REACH_A",
"K_REACH_B",
"K_REACH_C",
"K_REACH_D",
"K_REACH_E",
"K_REACH_F",
"K_REACH_G",
"K_REACH_H",
"K_REACH_IA",
"K_REACH_IB",
"K_REACH_IC",
"K_REACH_ID",
"K_REACH_IE",
"K_REACH_JA",
"K_REACH_JB",
"K_REACH_JC",
"K_REACH_JD",
"K_REACH_JE",
"K_REACH_KA",
"K_REACH_KB",
"K_REACH_KC",
"K_REACH_KD",
"K_REACH_KE",
"K_REACH_LA",
"K_REACH_LB",
"K_REACH_LC",
"K_REACH_LD",
"K_REACH_LE",
"K_REACH_M",
"K_REACH_N",
"K_REACH_O",
"K_REACH_P"
]
},
"tonnageBand": {
"type": "string",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
],
"example": "BAND3"
},
"reason": {
"type": "string",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
],
"example": "INITIAL"
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
}
},
"required": [
"registration"
]
}
Response 403 Forbidden
Response 404 Not Found
Response 500 Internal Server Error
PUT /api/submissions/{id}¶
Update a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"A",
"B",
"C",
"D",
"E",
"F",
"G",
"H",
"I",
"J",
"K",
"L",
"M",
"N",
"O",
"P",
"Q",
"R",
"S",
"T",
"U",
"V",
"W",
"X",
"Y",
"K_REACH_A",
"K_REACH_B",
"K_REACH_C",
"K_REACH_D",
"K_REACH_E",
"K_REACH_F",
"K_REACH_G",
"K_REACH_H",
"K_REACH_IA",
"K_REACH_IB",
"K_REACH_IC",
"K_REACH_ID",
"K_REACH_IE",
"K_REACH_JA",
"K_REACH_JB",
"K_REACH_JC",
"K_REACH_JD",
"K_REACH_JE",
"K_REACH_KA",
"K_REACH_KB",
"K_REACH_KC",
"K_REACH_KD",
"K_REACH_KE",
"K_REACH_LA",
"K_REACH_LB",
"K_REACH_LC",
"K_REACH_LD",
"K_REACH_LE",
"K_REACH_M",
"K_REACH_N",
"K_REACH_O",
"K_REACH_P"
]
},
"tonnageBand": {
"type": "string",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
],
"example": "BAND3"
},
"reason": {
"type": "string",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
],
"example": "INITIAL"
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
}
},
"required": [
"registration"
]
}
Response 204 No Content
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"A",
"B",
"C",
"D",
"E",
"F",
"G",
"H",
"I",
"J",
"K",
"L",
"M",
"N",
"O",
"P",
"Q",
"R",
"S",
"T",
"U",
"V",
"W",
"X",
"Y",
"K_REACH_A",
"K_REACH_B",
"K_REACH_C",
"K_REACH_D",
"K_REACH_E",
"K_REACH_F",
"K_REACH_G",
"K_REACH_H",
"K_REACH_IA",
"K_REACH_IB",
"K_REACH_IC",
"K_REACH_ID",
"K_REACH_IE",
"K_REACH_JA",
"K_REACH_JB",
"K_REACH_JC",
"K_REACH_JD",
"K_REACH_JE",
"K_REACH_KA",
"K_REACH_KB",
"K_REACH_KC",
"K_REACH_KD",
"K_REACH_KE",
"K_REACH_LA",
"K_REACH_LB",
"K_REACH_LC",
"K_REACH_LD",
"K_REACH_LE",
"K_REACH_M",
"K_REACH_N",
"K_REACH_O",
"K_REACH_P"
]
},
"tonnageBand": {
"type": "string",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
],
"example": "BAND3"
},
"reason": {
"type": "string",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
],
"example": "INITIAL"
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
}
},
"required": [
"registration"
]
}
Response 403 Forbidden
Response 500 Internal Server Error
DELETE /api/submissions/{id}¶
Delete a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 500 Internal Server Error
PATCH /api/submissions/{id}¶
Partially update a Submission
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"A",
"B",
"C",
"D",
"E",
"F",
"G",
"H",
"I",
"J",
"K",
"L",
"M",
"N",
"O",
"P",
"Q",
"R",
"S",
"T",
"U",
"V",
"W",
"X",
"Y",
"K_REACH_A",
"K_REACH_B",
"K_REACH_C",
"K_REACH_D",
"K_REACH_E",
"K_REACH_F",
"K_REACH_G",
"K_REACH_H",
"K_REACH_IA",
"K_REACH_IB",
"K_REACH_IC",
"K_REACH_ID",
"K_REACH_IE",
"K_REACH_JA",
"K_REACH_JB",
"K_REACH_JC",
"K_REACH_JD",
"K_REACH_JE",
"K_REACH_KA",
"K_REACH_KB",
"K_REACH_KC",
"K_REACH_KD",
"K_REACH_KE",
"K_REACH_LA",
"K_REACH_LB",
"K_REACH_LC",
"K_REACH_LD",
"K_REACH_LE",
"K_REACH_M",
"K_REACH_N",
"K_REACH_O",
"K_REACH_P"
]
},
"tonnageBand": {
"type": "string",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
],
"example": "BAND3"
},
"reason": {
"type": "string",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
],
"example": "INITIAL"
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
}
},
"required": [
"registration"
]
}
Response 204 No Content
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"A",
"B",
"C",
"D",
"E",
"F",
"G",
"H",
"I",
"J",
"K",
"L",
"M",
"N",
"O",
"P",
"Q",
"R",
"S",
"T",
"U",
"V",
"W",
"X",
"Y",
"K_REACH_A",
"K_REACH_B",
"K_REACH_C",
"K_REACH_D",
"K_REACH_E",
"K_REACH_F",
"K_REACH_G",
"K_REACH_H",
"K_REACH_IA",
"K_REACH_IB",
"K_REACH_IC",
"K_REACH_ID",
"K_REACH_IE",
"K_REACH_JA",
"K_REACH_JB",
"K_REACH_JC",
"K_REACH_JD",
"K_REACH_JE",
"K_REACH_KA",
"K_REACH_KB",
"K_REACH_KC",
"K_REACH_KD",
"K_REACH_KE",
"K_REACH_LA",
"K_REACH_LB",
"K_REACH_LC",
"K_REACH_LD",
"K_REACH_LE",
"K_REACH_M",
"K_REACH_N",
"K_REACH_O",
"K_REACH_P"
]
},
"tonnageBand": {
"type": "string",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
],
"example": "BAND3"
},
"reason": {
"type": "string",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
],
"example": "INITIAL"
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
}
},
"required": [
"registration"
]
}
Response 403 Forbidden
Response 500 Internal Server Error
GET /api/submissions¶
Get all Submissions
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
constituent |
query | integer | No | Filter submissions by constituent | |
page |
query | integer | 0 | No | Zero-based page index (0..N) |
size |
query | integer | 20 | No | The size of the page to be returned |
sort |
query | array | No | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Response 200 OK
{
"totalPages": 19,
"totalElements": 94,
"first": true,
"size": 212,
"content": [
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
],
"number": 27,
"sort": {
"empty": true,
"unsorted": true,
"sorted": true
},
"last": true,
"numberOfElements": 194,
"pageable": {
"offset": 232,
"sort": null,
"unpaged": true,
"paged": true,
"pageNumber": 101,
"pageSize": 97
},
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"first": {
"type": "boolean"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/SubmissionData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"last": {
"type": "boolean"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"empty": {
"type": "boolean"
}
}
}
Response 403 Forbidden
POST /api/submissions¶
Create a Submission
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"A",
"B",
"C",
"D",
"E",
"F",
"G",
"H",
"I",
"J",
"K",
"L",
"M",
"N",
"O",
"P",
"Q",
"R",
"S",
"T",
"U",
"V",
"W",
"X",
"Y",
"K_REACH_A",
"K_REACH_B",
"K_REACH_C",
"K_REACH_D",
"K_REACH_E",
"K_REACH_F",
"K_REACH_G",
"K_REACH_H",
"K_REACH_IA",
"K_REACH_IB",
"K_REACH_IC",
"K_REACH_ID",
"K_REACH_IE",
"K_REACH_JA",
"K_REACH_JB",
"K_REACH_JC",
"K_REACH_JD",
"K_REACH_JE",
"K_REACH_KA",
"K_REACH_KB",
"K_REACH_KC",
"K_REACH_KD",
"K_REACH_KE",
"K_REACH_LA",
"K_REACH_LB",
"K_REACH_LC",
"K_REACH_LD",
"K_REACH_LE",
"K_REACH_M",
"K_REACH_N",
"K_REACH_O",
"K_REACH_P"
]
},
"tonnageBand": {
"type": "string",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
],
"example": "BAND3"
},
"reason": {
"type": "string",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
],
"example": "INITIAL"
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
}
},
"required": [
"registration"
]
}
Response 204 No Content
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"registration": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"constituent": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Benzene",
"type": "SUBSTANCE",
"casNumber": "100-00-5",
"ecName": "1-chloro-4-nitrobenzene",
"ecNumber": "202-809-6",
"ecDescription": "string",
"iupac": "benzene",
"iuclidUuid": "string",
"tsca": "Benzene, 1-chloro-4-nitro-",
"molecularFormula": "C6H6",
"smiles": "C1=CC=CC=C1",
"inChl": "InChI=1S/C6H6/c1-2-4-6-5-3-1/h1-6H",
"archived": false
},
"reachLegislation": "EU_REACH",
"type": "INTERNAL",
"submittingLegalEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
},
"forLegalEntity": null,
"forLegalEntityUuid": "37b58a8c-fae4-485f-bb99-1cf879d34678",
"status": "ACTIVE",
"registrationName": "Calcium dihydroxide",
"registrationNumber": "01-2119475151-45-1000",
"registrationDate": "23-Sep-2025",
"registrationRole": "MEMBER",
"annex": "VIII",
"publicName": "Calcium dihydroxide",
"reachRole": "MANUFACTURER",
"enquiryNumber": "06-1111111111-11-1111",
"ppordNumber": "04-1111111111-11-1111",
"iuclidUUID": "U37b58a8c-fae4-485f-bb99-1cf666d34678",
"registrationNotes": "Registration is complete.",
"reachDossierType": "A",
"preregistered": true,
"preregistrationName": "Calcium dihydroxide",
"preregistrationNumber": "05-1122334455-66-0001",
"preregistrationDate": "23-Jan-2025",
"preregistrationNote": "Preregistration complete.",
"exempt": true,
"exemptionType": "ANNEXIV",
"exemption": "dangerous",
"exemptionComment": "Marked as Exempt."
},
"dateSubmitted": "2022-04-13",
"dateIssued": "2022-04-13",
"dateAccepted": "2022-04-13",
"reachDossierType": "A",
"tonnageBand": "BAND3",
"reason": "INITIAL",
"notes": "string",
"iuclidDossierReference": "string",
"communicationReference": "string",
"submissionNumber": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"registration": {
"$ref": "#/components/schemas/RegistrationData"
},
"dateSubmitted": {
"type": "string",
"format": "date"
},
"dateIssued": {
"type": "string",
"format": "date"
},
"dateAccepted": {
"type": "string",
"format": "date"
},
"reachDossierType": {
"type": "string",
"enum": [
"A",
"B",
"C",
"D",
"E",
"F",
"G",
"H",
"I",
"J",
"K",
"L",
"M",
"N",
"O",
"P",
"Q",
"R",
"S",
"T",
"U",
"V",
"W",
"X",
"Y",
"K_REACH_A",
"K_REACH_B",
"K_REACH_C",
"K_REACH_D",
"K_REACH_E",
"K_REACH_F",
"K_REACH_G",
"K_REACH_H",
"K_REACH_IA",
"K_REACH_IB",
"K_REACH_IC",
"K_REACH_ID",
"K_REACH_IE",
"K_REACH_JA",
"K_REACH_JB",
"K_REACH_JC",
"K_REACH_JD",
"K_REACH_JE",
"K_REACH_KA",
"K_REACH_KB",
"K_REACH_KC",
"K_REACH_KD",
"K_REACH_KE",
"K_REACH_LA",
"K_REACH_LB",
"K_REACH_LC",
"K_REACH_LD",
"K_REACH_LE",
"K_REACH_M",
"K_REACH_N",
"K_REACH_O",
"K_REACH_P"
]
},
"tonnageBand": {
"type": "string",
"enum": [
"BAND1",
"BAND2",
"BAND3",
"BAND4",
"BAND5"
],
"example": "BAND3"
},
"reason": {
"type": "string",
"enum": [
"CEASE_OF_MANUFACTURE",
"GRANDFATHERING",
"INITIAL",
"INQUIRY",
"REQUESTED",
"UPDATE_SPONTANEOUS"
],
"example": "INITIAL"
},
"notes": {
"type": "string"
},
"iuclidDossierReference": {
"type": "string"
},
"communicationReference": {
"type": "string"
},
"submissionNumber": {
"type": "string"
}
},
"required": [
"registration"
]
}
Response 403 Forbidden
Response 500 Internal Server Error
Study Groups¶
PUT /api/study-groups/{id}¶
Update a Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
DELETE /api/study-groups/{id}¶
Delete a Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 500 Internal Server Error
PATCH /api/study-groups/{id}¶
Partially Update a Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
GET /api/study-groups¶
Get Study Groups
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
page |
query | integer | 0 | No | Zero-based page index (0..N) |
size |
query | integer | 20 | No | The size of the page to be returned |
sort |
query | array | No | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. | |
study |
query | integer | No | Filter Study Groups by Study |
Response 200 OK
{
"totalPages": 10,
"totalElements": 39,
"first": true,
"size": 271,
"content": [
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
],
"number": 9,
"sort": {
"empty": true,
"unsorted": true,
"sorted": true
},
"last": true,
"numberOfElements": 131,
"pageable": {
"offset": 176,
"sort": null,
"unpaged": true,
"paged": true,
"pageNumber": 279,
"pageSize": 165
},
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"first": {
"type": "boolean"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/StudyGroupData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"last": {
"type": "boolean"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"empty": {
"type": "boolean"
}
}
}
Response 403 Forbidden
{
"totalPages": 22,
"totalElements": 249,
"first": true,
"size": 120,
"content": [
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
],
"number": 23,
"sort": {
"empty": true,
"unsorted": true,
"sorted": true
},
"last": true,
"numberOfElements": 182,
"pageable": {
"offset": 130,
"sort": null,
"unpaged": true,
"paged": true,
"pageNumber": 169,
"pageSize": 66
},
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"first": {
"type": "boolean"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/StudyGroupData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"last": {
"type": "boolean"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"empty": {
"type": "boolean"
}
}
}
POST /api/study-groups¶
Create a Study Group
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
POST /api/study-groups/{groupId}/studies/{studyId}¶
Link a Study to Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
groupId |
path | integer | No | ||
studyId |
path | integer | No |
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
DELETE /api/study-groups/{groupId}/studies/{studyId}¶
Unlink a Study from Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
groupId |
path | integer | No | ||
studyId |
path | integer | No |
Response 200 OK
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
GET /api/study-groups/{groupId}¶
Get A Study Group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
groupId |
path | integer | No |
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Response 403 Forbidden
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Category 5 Analytical Testing",
"description": "This group is for all analytical studies within category 5"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "Category 5 Analytical Testing",
"minLength": 1
},
"description": {
"type": "string",
"example": "This group is for all analytical studies within category 5"
}
},
"required": [
"name",
"partitionId"
]
}
Studies¶
GET /api/studies/{id}¶
Get a Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 403 Forbidden
Response 404 Not Found
Response 500 Internal Server Error
PUT /api/studies/{id}¶
Fully Update a Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 404 Not Found
Response 500 Internal Server Error
DELETE /api/studies/{id}¶
Delete a Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 204 No Content
Response 403 Forbidden
Response 500 Internal Server Error
PATCH /api/studies/{id}¶
Partially Update a Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 404 Not Found
Response 500 Internal Server Error
GET /api/studies¶
Get all Studies
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
group |
query | integer | No | Filter studies by study group | |
page |
query | integer | 0 | No | Zero-based page index (0..N) |
size |
query | integer | 20 | No | The size of the page to be returned |
sort |
query | array | No | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Response 200 OK
{
"totalPages": 205,
"totalElements": 15,
"first": true,
"size": 20,
"content": [
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
],
"number": 62,
"sort": {
"empty": true,
"unsorted": true,
"sorted": true
},
"last": true,
"numberOfElements": 131,
"pageable": {
"offset": 258,
"sort": null,
"unpaged": true,
"paged": true,
"pageNumber": 55,
"pageSize": 244
},
"empty": true
}
Schema of the response body
{
"type": "object",
"properties": {
"totalPages": {
"type": "integer",
"format": "int32"
},
"totalElements": {
"type": "integer",
"format": "int64"
},
"first": {
"type": "boolean"
},
"size": {
"type": "integer",
"format": "int32"
},
"content": {
"type": "array",
"items": {
"$ref": "#/components/schemas/StudyData"
}
},
"number": {
"type": "integer",
"format": "int32"
},
"sort": {
"$ref": "#/components/schemas/SortObject"
},
"last": {
"type": "boolean"
},
"numberOfElements": {
"type": "integer",
"format": "int32"
},
"pageable": {
"$ref": "#/components/schemas/PageableObject"
},
"empty": {
"type": "boolean"
}
}
}
Response 403 Forbidden
POST /api/studies¶
Create a Study
Request body
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
POST /api/studies/{studyId}/constituents/{constituentId}¶
Link Constituent to Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
constituentId |
path | integer | No | ||
studyId |
path | integer | No |
Response 200 OK
{
"id": 1,
"lastUpdatedBy": {
"id": 1,
"firstName": "Bob",
"lastName": "Ross",
"emailAddress": "bob.ross@penmanconsulting.com"
},
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "001-Cat Z-Analysis-Int",
"status": "ACTIVE",
"start": "2022-04-13",
"end": "2022-04-13",
"purpose": "VI",
"archived": true,
"testingLaboratoryEntity": {
"id": 1,
"lastUpdatedBy": null,
"lastUpdated": "2025-09-20T12:12:59.051",
"createdBy": null,
"createdDate": "2025-09-20T12:12:59.051",
"partitionId": 100,
"name": "Penman Consulting",
"companyNo": "string",
"vatNo": "string",
"dunnNo": "string",
"utr": "string",
"invoiceRef": "PENMAN_212REF",
"archived": false
}
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"example": 1
},
"lastUpdatedBy": {
"$ref": "#/components/schemas/UserData"
},
"lastUpdated": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"createdBy": {
"$ref": "#/components/schemas/UserData"
},
"createdDate": {
"type": "string",
"format": "date-time",
"example": "2025-09-20T12:12:59.051"
},
"partitionId": {
"type": "integer",
"format": "int64",
"example": 100
},
"name": {
"type": "string",
"example": "001-Cat Z-Analysis-Int",
"minLength": 1
},
"status": {
"type": "string",
"enum": [
"PLANNED",
"CONTRACTING",
"ACTIVE",
"COMPLETE",
"CANCELLED",
"FINAL_REPORTED"
],
"example": "ACTIVE"
},
"start": {
"type": "string",
"format": "date"
},
"end": {
"type": "string",
"format": "date"
},
"purpose": {
"type": "string",
"enum": [
"VI",
"VII",
"VIII",
"IX",
"X",
"K_REACH",
"UK_REACH",
"INDIA_REACH",
"TURKEY_REACH",
"CHINA",
"COLOMBIA_REACH",
"EU_BIO",
"EU_PLANT",
"US_TSCA",
"PROD_SAFETY",
"INV_WORK"
]
},
"archived": {
"type": "boolean"
},
"testingLaboratoryEntity": {
"$ref": "#/components/schemas/EntityData"
}
},
"required": [
"end",
"name",
"partitionId",
"start",
"status"
]
}
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
DELETE /api/studies/{studyId}/constituents/{constituentId}¶
Unlink Constituent to Study
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
constituentId |
path | integer | No | ||
studyId |
path | integer | No |
Response 200 OK
Response 400 Bad Request
Response 403 Forbidden
Response 500 Internal Server Error
GET /api/studies/{id}/costs¶
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
id |
path | integer | No |
Response 200 OK
[
{
"records": [
{
"currency": "string",
"currencyInstance": {
"currencyCode": "string",
"displayName": "string",
"symbol": "string",
"defaultFractionDigits": 67,
"numericCode": 242,
"numericCodeAsString": "string"
},
"costsShared": true,
"additionalShare": 287,
"constituents": [
{
"id": 36,
"casNumber": "string",
"ecName": "string",
"ecNumber": "string",
"ecDescription": "string",
"iupac": "string",
"iuclidUuid": "string",
"tsca": "string",
"molecularFormula": "string",
"smiles": "string",
"inChl": "string",
"name": "string",
"partitionId": 145,
"type": "ACTIVE_INGREDIENT",
"archived": true
}
],
"products": [
{
"id": 203,
"name": "string",
"ownerManufacturer": "string",
"partitionId": 171,
"archived": true
}
],
"constituentsFallback": null,
"additionalShareDecimal": 10.12,
"invoicedOnly": true,
"externalRef": "string",
"categoryGroups": [
{
"id": 58,
"groupName": "string",
"partitionId": 159
}
],
"name": "string",
"id": null,
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 0,
"partitionId": 276,
"partition": {
"id": 12,
"partitionName": "string",
"logoID": "9e7a9dbb-81e0-4074-9256-f14611d8bd4a",
"email": "string",
"userPartitions": [
{
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 75,
"user": {
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 93,
"firstName": "string",
"lastName": "string",
"emailAddress": "string",
"principal": "string",
"lastLoggedIn": "2022-04-13T15:42:05.901Z",
"created": "2022-04-13T15:42:05.901Z",
"enabled": true,
"locked": true,
"failedLoginCount": 193,
"notActiveAfter": "2022-04-13",
"passwordExpires": "2022-04-13",
"deleted": true,
"version": 91,
"owner": {
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 57,
"name": "string",
"version": 260,
"companyNo": "string",
"vatNo": "string",
"remarks": "string",
"dunnNo": "string",
"utr": "string",
"uclidID": "string",
"reachID": "string",
"clientPartitionId": 247,
"poNumber": "string",
"sapBusinessReference": "string",
"invoicingReference": "string",
"hasInvoicingAddress": true,
"deleted": true,
"invoiceOverdueDays": 242,
"groups": [
{
"name": "string",
"partitionId": 121
}
],
"primaryInvoicingContact": {
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 233,
"partition": null,
"user": null,
"title": "MR",
"firstName": "string",
"lastName": "string",
"nameSuffix": "string",
"jobDescription": "string",
"email": "string",
"telephone": "string",
"fax": "string",
"mobile": "string",
"skype": "string",
"remarks": "string",
"reachIt": true,
"deactivated": true,
"deleted": true,
"productEntityContacts": [
{
"id": 273,
"productEntity": {
"id": 151,
"product": null,
"baseEntity": null,
"entityRoles": [
{
"id": "string",
"display": "string",
"name": "string",
"usesSurvey": true,
"registration": true,
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 151,
"partitionId": 282,
"partition": null,
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": {
"name": "string",
"id": null,
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 191,
"partitionId": 75,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
},
"recordName": "string"
}
],
"deleted": true,
"partitionId": 147
},
"contact": null,
"deleted": true
}
],
"productPartyContacts": [
{
"id": 54,
"productParty": {
"id": 196,
"product": null,
"party": {
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 193,
"entity": null,
"description": "string",
"addressLine1": "string",
"addressLine2": "string",
"addressLine3": "string",
"townCity": "string",
"countyStateRegion": "string",
"postcode": "string",
"country": {
"id": 221,
"name": "string",
"iso3166alpha2CountryCode": "string",
"iso3166alpha3CountryCode": "string",
"iso3166numeric3CountryCode": "string",
"partitionId": 153
},
"website": "string",
"telephone": "string",
"fax": "string",
"remarks": "string",
"addressType": "PRIMARY_ADDRESS",
"sapBusinessReference": "string",
"deleted": true,
"contacts": null,
"plants": [
{
"id": 92,
"party": null,
"name": "string",
"plantCode": "string",
"constituentPlants": [
{
"id": 227,
"constituent": null,
"plant": null
}
],
"productPlants": [
{
"id": 188,
"product": null,
"plant": null
}
]
}
],
"partitionId": 282
},
"deleted": true
},
"contact": null,
"deleted": true
}
],
"productContacts": [
{
"id": 138,
"product": null,
"contact": null,
"contactType": "KEY",
"deleted": true
}
],
"constituentEntityContacts": [
{
"id": 25,
"constituentEntity": {
"id": 171,
"constituent": null,
"entity": null,
"entityRoles": null,
"partitionId": 189
},
"contact": null,
"deleted": true
}
],
"constituentPartyContacts": [
{
"id": 155,
"constituentParty": {
"id": 135,
"constituent": null,
"party": null,
"deleted": true
},
"contact": null,
"deleted": true
}
],
"constituentContacts": [
{
"id": 111,
"constituent": null,
"contact": null,
"contactType": "KEY",
"deleted": true
}
],
"contactGroups": [
{
"id": 52,
"contact": null,
"contactGroup": {
"groupName": "string"
},
"deleted": true
}
],
"primaryInvoicingEntities": null,
"secondaryInvoicingEntities": null,
"tonnageAndUseEnquiries": [
{
"reachLegislation": "EU_REACH",
"contact": null,
"baseEntity": null,
"enquiryYear": 292,
"documentLink": {
"id": 153,
"contact": null,
"code": "string",
"created": "2022-04-13T15:42:05.901Z",
"documentLinkAttachments": [
{
"id": 86,
"document": {
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 69,
"partition": null,
"title": "string",
"description": "string",
"fileName": "string",
"originalFileName": "string",
"link": true,
"fileSize": 223,
"uploadDate": "2022-04-13T15:42:05.901Z",
"documentCreationDate": "2022-04-13",
"fileType": "UNKNOWN",
"docType": "DOCUMENT",
"expiryDate": "2022-04-13",
"retentionDate": "2022-04-13",
"permanent": true,
"products": null,
"constituents": null,
"categoryGroups": null,
"productGroups": [
{
"groupName": "string",
"partitionId": 173
}
],
"entities": null,
"entityGroups": null,
"contactGroups": null,
"documentTagSet": [
{
"id": 64,
"document": null,
"tag": {
"id": {
"partitionId": 230,
"id": 96
},
"tagText": "string"
},
"deleted": true
}
],
"linkedDocuments": null,
"version": 17,
"versionIdentifier": "string",
"currentDocumentId": 45,
"currentDocument": null,
"versions": null,
"newsItem": true,
"sourceEmail": [
{
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 187,
"partition": null,
"title": "string",
"description": "string",
"fileName": "string",
"originalFileName": "string",
"link": true,
"fileSize": 117,
"uploadDate": "2022-04-13T15:42:05.901Z",
"documentCreationDate": "2022-04-13",
"fileType": "UNKNOWN",
"docType": "DOCUMENT",
"expiryDate": "2022-04-13",
"retentionDate": "2022-04-13",
"permanent": true,
"products": null,
"constituents": null,
"categoryGroups": null,
"productGroups": null,
"entities": null,
"entityGroups": null,
"contactGroups": null,
"version": 220,
"versionIdentifier": "string",
"currentDocumentId": 21,
"currentDocument": null,
"newsItem": true,
"internalSourceEmails": [
{
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 251,
"partition": null,
"title": "string",
"description": "string",
"fileName": "string",
"originalFileName": "string",
"link": true,
"fileSize": 40,
"uploadDate": "2022-04-13T15:42:05.901Z",
"documentCreationDate": "2022-04-13",
"fileType": "UNKNOWN",
"docType": "DOCUMENT",
"expiryDate": "2022-04-13",
"retentionDate": "2022-04-13",
"permanent": true,
"products": null,
"constituents": null,
"categoryGroups": null,
"productGroups": null,
"entities": null,
"entityGroups": null,
"contactGroups": null,
"version": 204,
"versionIdentifier": "string",
"currentDocumentId": 58,
"currentDocument": null,
"newsItem": true,
"issues": [
{
"id": 44,
"clientPartition": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdated": "2022-04-13T15:42:05.901Z",
"version": 293,
"issue": "string",
"statement": "string",
"basis": "string",
"reviewDate": "2022-04-13",
"reviewNotified": true,
"supportingDocuments": null,
"products": null,
"constituents": null,
"studies": [
{
"id": 66,
"code": "string",
"status": "PLANNED",
"species": [
{
"id": 240,
"description": "string"
}
],
"purpose": "VI",
"start": "2022-04-13",
"end": "2022-04-13",
"folder": {
"id": 4,
"partitionId": 119,
"name": "string",
"parent": null,
"children": null,
"documents": null,
"createdBy": null,
"created": "2022-04-13T15:42:05.901Z",
"deletable": true,
"study": null,
"folderPath": "string",
"folderLinks": "string"
},
"partitionId": 17
}
],
"entities": null,
"notes": "string",
"inventoryId": "31d9546f-06e1-40ff-bbbe-d82d8e852368",
"comments": [
{
"id": 266,
"replyTo": null,
"createdDate": "2022-04-13T15:42:05.901Z",
"user": null,
"contact": null,
"text": "string",
"published": true,
"replies": [
{
"id": 241,
"replyTo": null,
"createdDate": "2022-04-13T15:42:05.901Z",
"user": null,
"contact": null,
"text": "string",
"published": true,
"replies": null,
"notifications": [
{
"id": 116,
"partitionId": 272,
"created": "2022-04-13T15:42:05.901Z",
"user": null,
"read": true,
"comment": null,
"type": "ADDED",
"baseUrl": "string",
"parent": {
"watchingUsers": null,
"commentType": "string",
"watchers": null,
"comments": null,
"watching": true,
"commentsPermission": "ROLE_PRE_AUTH",
"commentsEditPermission": "ROLE_PRE_AUTH",
"commentDisplayUrl": "string",
"name": "string",
"id": null,
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 284,
"partitionId": 112,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
},
"mailjetTemplateName": "string",
"url": "string",
"displayCode": "string",
"mailjetTemplateVars": {},
"mailjetTemplateEmail": {
"templateName": "string",
"subject": "string",
"globalTemplateVars": {},
"recipients": [
{
"email": "string",
"templateVars": {}
}
],
"attachments": [
{
"type": "string",
"filename": "string",
"data": "TG9yZW0gaXBzdW0gZG9sb3Igc2l0IGFtZXQ="
}
],
"priority": "LOW_FIFO"
},
"serverCreatedDate": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 250,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
}
],
"ragStatus": "RED",
"hidden": true,
"greatestAncestor": null,
"reply": true,
"replyToIsUnpublished": true,
"serverCreatedReadableDate": "string",
"lastUpdatedById": 265,
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 107,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string",
"calendarSource": "PRODUCT",
"calendarEnd": "2022-04-13T15:42:05.901Z",
"allDay": true,
"calendarExtendedProps": {}
}
],
"notifications": null,
"ragStatus": "RED",
"hidden": true,
"greatestAncestor": null,
"reply": true,
"replyToIsUnpublished": true,
"serverCreatedReadableDate": "string",
"lastUpdatedById": 2,
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 275,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string",
"calendarSource": "PRODUCT",
"calendarEnd": "2022-04-13T15:42:05.901Z",
"allDay": true,
"calendarExtendedProps": {}
}
],
"watchingUsers": null,
"relevantEntities": null,
"tasks": [
{
"id": 293,
"clientPartition": null,
"campaign": {
"id": 120,
"clientPartition": null,
"name": "string",
"description": "string",
"startDate": "2022-04-13",
"endDate": "2022-04-13",
"menuName": "string",
"section": {
"id": 81,
"clientPartition": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdated": "2022-04-13T15:42:05.901Z",
"campaign": null,
"constituent": null,
"name": "string",
"parentSection": null,
"children": null,
"expand": true,
"deleted": true,
"pages": [
{
"id": 249,
"clientPartition": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdated": "2022-04-13T15:42:05.901Z",
"name": "string",
"index": 66,
"content": "string",
"caretPosition": "string",
"type": "BUDGETS",
"roles": [
{
"id": 76,
"clientPartition": null,
"name": "string",
"description": "string",
"campaign": null,
"campaignContacts": [
{
"id": 224,
"clientPartition": null,
"campaign": null,
"contact": null,
"roles": null,
"tasks": null,
"pages": null,
"lastLoggedIn": "2022-04-13T15:42:05.901Z",
"deleted": true,
"fullName": "string",
"iconClass": "string",
"iconColour": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"user": null,
"fullNameFallback": "string",
"breadcrumbParent": null,
"recordName": "string",
"name": "string",
"displayArgs": [
"string"
],
"url": "string",
"idInPartition": 149,
"partitionId": 198,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
]
}
],
"pages": null,
"tasks": null,
"contactCount": 34,
"tabCount": 37,
"taskCount": 168,
"inUse": true,
"iconClass": "string",
"breadcrumbParent": null,
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 193,
"partitionId": 148,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"recordName": "string"
}
],
"access": "PUBLIC",
"deleted": true,
"visibleToDeactivated": true,
"source": "ENTITY",
"entity": null,
"entityGroup": null,
"cutOffDate": "2022-04-13",
"hideDownloadedColumn": true,
"config": {
"showing": "ACTUAL",
"purchaseNumber": "string",
"otherEntity": null,
"address": "string",
"invoicingContacts": "string",
"invoicePageFooter": "string",
"vat": "string"
},
"docType": "DOCUMENT",
"tags": null,
"task": null,
"notifications": [
{
"id": 238,
"partitionId": 291,
"created": "2022-04-13T15:42:05.901Z",
"user": null,
"read": true,
"page": null,
"type": "ADDED",
"baseUrl": "string",
"mailjetTemplateName": "string",
"url": "string",
"displayCode": "string",
"mailjetTemplateVars": {},
"mailjetTemplateEmail": null,
"serverCreatedDate": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 250,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
}
],
"hidden": true,
"public": true,
"entities": null,
"iconClass": "string",
"allFields": "string",
"membersUrl": "string",
"issues": [
{
"uuid": "d15b1cf2-8c3e-4937-91b7-2dddcec2b29e",
"error": "string",
"html": "string"
}
],
"url": "string",
"visible": true,
"campaignContacts": null,
"sections": null,
"menuIndex": 246,
"constituent": null,
"nameWithSections": "string",
"campaignNavigationLevel": 21,
"contact": null,
"associatedToArchivedContact": true,
"archived": true,
"menuParent": {
"menuAncestors": null,
"menuIndex": 107,
"campaignNavigationLevel": 200,
"expand": true,
"menuParent": null,
"name": "string",
"id": null,
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 60,
"partitionId": 168,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
},
"highestSection": null,
"activeEntities": null,
"ancestorsString": "string",
"allUsers": true,
"menuAncestors": null,
"expand": true,
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 183,
"partitionId": 178,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"recordName": "string",
"lastUpdatedById": 93
}
],
"menuIndex": 82,
"updateOptions": {
"campaignId": 228,
"updateRole": true,
"defaultRoleId": 7,
"createCampaigns": true,
"createContacts": true,
"forCampaign": true
},
"iconClass": "string",
"iconColour": "string",
"url": "string",
"descendants": null,
"campaignNavigationLevel": 278,
"display": "string",
"breadcrumbParent": null,
"menuParent": null,
"allPages": null,
"recordName": "string",
"ancestorsString": "string",
"menuAncestors": null,
"displayArgs": [
"string"
],
"idInPartition": 90,
"partitionId": 296,
"partition": null,
"displayCodePartial": "string",
"displayAttributes": [
null
],
"lastUpdatedById": 207
},
"expand": true,
"footerAddress": "string",
"footerLink": "string",
"footerPhone": "string",
"termsAndConditionsText": "string",
"menuIndex": 155,
"deleted": true,
"uploadingLock": true,
"contacts": null,
"roles": null,
"sections": null,
"pages": null,
"tasks": null,
"taskGroups": [
{
"id": 94,
"clientPartition": null,
"name": "string",
"description": "string",
"campaign": null,
"taskLinks": [
{
"id": {
"taskGroupId": 265,
"taskId": 104
},
"taskGroup": null,
"task": null,
"index": 30
}
],
"pages": [
{
"id": 213,
"taskGroup": null,
"page": null,
"cutOffDate": "2022-04-13",
"index": 14
}
],
"iconClass": "string",
"url": "string",
"breadcrumbParent": null,
"descriptionContainsHtml": true,
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 261,
"partitionId": 202,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"recordName": "string"
}
],
"campaignEvents": [
{
"id": 171,
"campaign": null,
"eventTime": "2022-04-13T15:42:05.901Z",
"campaignContacts": null,
"displayName": "string"
}
],
"watchingUsers": null,
"securityIssueNotifications": [
{
"id": 67,
"partitionId": 10,
"created": "2022-04-13T15:42:05.901Z",
"user": null,
"read": true,
"campaign": null,
"hasPageSecurityIssues": true,
"mailjetTemplateName": "string",
"url": "string",
"displayCode": "string",
"mailjetTemplateVars": {},
"displayIssueType": "string",
"mailjetTemplateEmail": null,
"serverCreatedDate": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 159,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
}
],
"onlyPublicAccessForUser": true,
"closed": true,
"iconClass": "string",
"iconColour": "string",
"footerPresent": true,
"url": "string",
"visible": true,
"campaignNavigationLevel": 118,
"watching": true,
"display": "string",
"breadcrumbParent": null,
"menuParent": null,
"menuAncestors": null,
"displayArgs": [
"string"
],
"idInPartition": 66,
"partitionId": 34,
"partition": null,
"displayCodePartial": "string",
"displayAttributes": [
null
],
"recordName": "string",
"emailCode": "string",
"emailPrefix": "string",
"oneToOne": true
},
"campaignContact": null,
"role": null,
"access": "PUBLIC",
"template": {
"id": 132,
"clientPartition": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdated": "2022-04-13T15:42:05.901Z",
"campaign": null,
"name": "string",
"instructions": "string",
"endingInstructions": "string",
"type": "DISCUSSION",
"fields": [
{
"id": 114,
"template": null,
"type": "BOOLEAN",
"index": 227,
"required": true,
"range": true,
"rangeMinimum": 10.12,
"rangeMaximum": 10.12,
"question": "string",
"defaultValue": "string",
"color": "string",
"options": [
{
"id": 287,
"template": null,
"option": "string"
}
]
}
],
"iconClass": "string",
"lastUpdatedById": 95,
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 10,
"partitionId": 198,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
},
"dueByDate": "2022-04-13",
"closesOnDate": "2022-04-13",
"instructions": "string",
"endingInstructions": "string",
"name": "string",
"taskType": "DISCUSSION",
"document": null,
"documentTwo": null,
"documentLinks": [
{
"id": {
"taskId": 64,
"documentId": 34,
"documentPartitionId": 22,
"document": null
},
"task": null,
"document": null,
"index": 44,
"campaign": null
}
],
"constituent": null,
"surveyFields": [
{
"id": 145,
"fieldType": "BOOLEAN",
"name": "string",
"defaultValue": "string",
"selectOptionValues": [
{
"id": 149,
"surveyField": null,
"value": "string",
"index": 99
}
],
"index": 24,
"required": true,
"range": true,
"color": "string",
"rangeMinimum": 10.12,
"rangeMaximum": 10.12,
"campaignContactTask": null,
"nameAsText": "string",
"nameIssues": null,
"namePreview": "string",
"selectValuesArray": [
"string"
],
"nameContainsHtml": true
}
],
"entityRoles": [
"MANUFACTURER"
],
"uses": [
"51b9ed43-0876-4948-8ed7-289a76431d05"
],
"user": null,
"createdDate": "2022-04-13T15:42:05.901Z",
"uploadNotificationEmail": "string",
"pages": null,
"taskGroupLinks": null,
"deleted": true,
"watchingUsers": null,
"comments": [
{
"id": 269,
"replyTo": null,
"createdDate": "2022-04-13T15:42:05.901Z",
"user": null,
"contact": null,
"text": "string",
"published": true,
"replies": null,
"notifications": null,
"ragStatus": "RED",
"calendarSource": "PRODUCT",
"hidden": true,
"greatestAncestor": null,
"reply": true,
"replyToIsUnpublished": true,
"serverCreatedReadableDate": "string",
"lastUpdatedById": 143,
"lastUpdatedBy": null,
"lastUpdated": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 46,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string",
"calendarEnd": "2022-04-13T15:42:05.901Z",
"allDay": true,
"calendarExtendedProps": {}
}
],
"events": [
{
"id": 296,
"clientPartition": null,
"task": null,
"contact": null,
"eventDate": "2022-04-13T15:42:05.901Z",
"completed": true,
"surveyValues": [
{
"id": 114,
"surveyField": null,
"value": "string",
"deleted": true,
"campaignContactEvent": null,
"fieldType": "BOOLEAN",
"file": "TG9yZW0gaXBzdW0gZG9sb3Igc2l0IGFtZXQ=",
"fileName": "string",
"valueAsUUID": "38e2beea-0027-4ca0-9cd9-1719cb1bd454",
"valueSanitized": "string",
"valueAsDate": "2022-04-13"
}
],
"documentDates": [
{
"id": 92,
"document": null,
"dateAccessed": "2022-04-13T15:42:05.901Z",
"events": null
}
],
"useSurvey": {
"id": 133,
"clientPartition": null,
"created": "2022-04-13T15:42:05.901Z",
"lastUpdated": "2022-04-13T15:42:05.901Z",
"event": null,
"contact": null,
"campaign": null,
"entity": null,
"company": "string",
"referrer": null,
"referralCode": "string",
"role": "MANUFACTURER",
"date": "2022-04-13",
"constituent": null,
"status": "ACTIVE",
"validTonnageFromLastYear": true,
"importedTonnage": 10.12,
"exportedTonnage": 10.12,
"orTonnage": 10.12,
"polymerImportedTonnage": 10.12,
"residualMonomerConcentration": 10.12,
"useTonnages": [
{
"id": 63,
"useSurvey": null,
"use": "d624fca4-0720-4197-9810-c452698d0a5d",
"useNameFallback": "string",
"useLifeCycleFallback": "string",
"tonnage": 10.12,
"maxSiteTonnage": 10.12,
"notes": "string",
"exposureMonitored": true,
"proceduresDocumented": true,
"itselfUsedAsFuel": true,
"intentionallyBlendedIntoFuel": true,
"monitoringDataForTreatmentProvided": true,
"monitoringDataForTreatmentDetails": "string",
"proportionOfSubstanceEmittedProvided": true,
"proportionOfSubstanceEmittedDetails": "string",
"environmentalQuestionsFile": "0242fc93-acd9-4fbf-8fb3-712fadcda849",
"legalEmissions": true,
"functions": [
{
"id": 220,
"useSurveyTonnage": null,
"functionId": 156,
"functionNameFallback": "string"
}
],
"tonnageDetails": [
{
"id": 269,
"useSurveyTonnage": null,
"productCategory": "string",
"processCategory": 261,
"localVentilation": true,
"roomVentilation": "BASIC",
"additionalMeasures": [
"CLOSED_LOOP_SAMPLING"
],
"goggles": true,
"masks": "YES_10",
"gloves": "YES_80",
"location": "INDOOR",
"duration": "BELOW_15",
"temperature": 10.12,
"concentrationRange": "BELOW_1",
"concentration": 10.12
}
],
"sdsFileIds": [
"f5b1b8ed-2b55-4992-873f-07d00a848d73"
],
"sdsFileNames": [
"string"
],
"environmentalQuestionsFileName": "string"
}
],
"notes": "string",
"empty": true,
"entities": null,
"ceasedManufacture": true,
"onlyRepresentative": true,
"lastUpdatedById": 148,
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"url": "string",
"idInPartition": 172,
"partitionId": 160,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
},
"fileId": "e2761d53-3cb1-4f24-8ba0-c6c51305a886",
"fileName": "string",
"calendarStart": "2022-04-13T15:42:05.901Z",
"url": "string",
"downloadedOldDocumentsOf": [
195
],
"display": "string",
"responsesDeleted": true,
"downloadedDocuments": null,
"downloadedDocumentIds": [
252
],
"campaign": null,
"deleted": true,
"responses": [
{
"id": 61,
"surveyField": null,
"value": "string",
"deleted": true,
"fieldType": "BOOLEAN",
"file": "TG9yZW0gaXBzdW0gZG9sb3Igc2l0IGFtZXQ=",
"fileName": "string",
"valueAsUUID": "0f3071d7-992d-40d2-b20b-5e495ef0c3a1",
"valueSanitized": "string",
"valueAsDate": "2022-04-13"
}
],
"calendarSource": "PRODUCT",
"calendarEnd": "2022-04-13T15:42:05.901Z",
"calendarDisplay": "string",
"allDay": true,
"calendarExtendedProps": {},
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 288,
"partitionId": 19,
"partition": null,
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
}
],
"uploadNotifications": [
{
"id": 280,
"partitionId": 225,
"created": "2022-04-13T15:42:05.901Z",
"user": null,
"read": true,
"campaignContactTask": null,
"contact": null,
"fileName": "string",
"baseUrl": "string",
"mailjetTemplateName": "string",
"url": "string",
"displayCode": "string",
"mailjetTemplateVars": {},
"mailjetTemplateEmail": null,
"serverCreatedDate": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 187,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
}
],
"surveyNotifications": [
{
"id": 180,
"partitionId": 98,
"created": "2022-04-13T15:42:05.901Z",
"user": null,
"read": true,
"campaignContactTask": null,
"contact": null,
"baseUrl": "string",
"mailjetTemplateName": "string",
"url": "string",
"displayCode": "string",
"mailjetTemplateVars": {},
"taskUrl": "string",
"mailjetTemplateEmail": null,
"serverCreatedDate": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 296,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
}
],
"iuclidReviewNotifications": [
{
"id": 29,
"partitionId": 142,
"created": "2022-04-13T15:42:05.901Z",
"user": null,
"read": true,
"campaignContactTask": null,
"contact": null,
"baseUrl": "string",
"mailjetTemplateName": "string",
"url": "string",
"displayCode": "string",
"approval": true,
"mailjetTemplateVars": {},
"mailjetTemplateEmail": null,
"serverCreatedDate": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 250,
"partition": null,
"display": "string",
"displayCodePartial": "string",
"displayAttributes": [
null
],
"breadcrumbParent": null,
"recordName": "string"
}
],
"documentsList": null,
"sendCustomSurveyNotificationEmail": true,
"showDocumentNameOnDownloads": true,
"public": true,
"instructionsIssues": null,
"closed": true,
"groups": null,
"iconClass": "string",
"commentType": "string",
"url": "string",
"activeDocumentsList": null,
"firstActiveDocument": null,
"letterOfAccessRelated": true,
"endingInstructionsIssues": null,
"archived": true,
"breadcrumbParent": null,
"commentsPermission": "ROLE_PRE_AUTH",
"firstActiveIuclid": {
"lastUpdated": "2022-04-13T15:42:05.901Z",
"id": 287,
"partition": null,
"title": "string",
"description": "string",
"fileName": "string",
"originalFileName": "string",
"link": true,
"fileSize": 19,
"uploadDate": "2022-04-13T15:42:05.901Z",
"documentCreationDate": "2022-04-13",
"fileType": "UNKNOWN",
"docType": "DOCUMENT",
"expiryDate": "2022-04-13",
"retentionDate": "2022-04-13",
"permanent": true,
"products": null,
"constituents": null,
"categoryGroups": null,
"productGroups": null,
"entities": null,
"entityGroups": null,
"contactGroups": null,
"version": 188,
"versionIdentifier": "string",
"currentDocumentId": 168,
"currentDocument": null,
"newsItem": true,
"deleted": true,
"deletedDate": "2022-04-13T15:42:05.901Z",
"fileId": "026815b7-90eb-4d22-a06f-2174f4f379f1",
"watchingUsers": null,
"retentionNotifications": [
{
"id": 93,
"partitionId": 265,
"created": "2022-04-13T15:42:05.901Z",
"user": null,
"read": true,
"document": null,
"retentionDate": "2022-04-13",
"mailjetTemplateName": "string",
"url": "string",
"displayCode": "string",
"daysUntilExpiry": 186,
"mailjetTemplateVars": {},
"mailjetTemplateEmail": null,
"serverCreatedDate": "2022-04-13T15:42:05.901Z",
"name": "string",
"iconClass": "string",
"displayArgs": [
"string"
],
"iconColour": "string",
"idInPartition": 26,
"partition": null,
"display": "string",
"displayCodePartial": "string",
[...]
